package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Description: 会员系统分类
 * @Author: jiang chao
 * @Time: 2024/10/14 11:29
 * @Classname: ESystemType
 * @PackageName: com.hzs.common.core.enums
 */
@AllArgsConstructor
@Getter
public enum ESystemType {

    /**
     * 默认（会员系统）
     */
    DEFAULT(0, "会员系统", 0),

//    /**
//     * 海圣优选
//     */
//    LENJOY(1, "海圣优选", 0),

    /**
     * 全部
     */
    ALL(9, "全部", 1),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;

    /**
     * 根据枚举值获取枚举
     *
     * @param value
     * @return
     */
    public static ESystemType getEnumByValue(int value) {
        for (ESystemType enums : ESystemType.values()) {
            if (enums.value == value) {
                return enums;
            }
        }
        return null;
    }

}
